class CalculateBoxQuantityRequestModel {
  int itemCode;
  double strength;
  int frequency;
  int duration;
  String vidaAuthTokenID;

  CalculateBoxQuantityRequestModel(
      {this.itemCode,
      this.strength,
      this.frequency,
      this.duration,
      this.vidaAuthTokenID});

  CalculateBoxQuantityRequestModel.fromJson(Map<String, dynamic> json) {
    itemCode = json['ItemCode'];
    strength = json['Strength'];
    frequency = json['Frequency'];
    duration = json['Duration'];
    vidaAuthTokenID = json['VidaAuthTokenID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ItemCode'] = this.itemCode;
    data['Strength'] = this.strength;
    data['Frequency'] = this.frequency;
    data['Duration'] = this.duration;
    data['VidaAuthTokenID'] = this.vidaAuthTokenID;
    return data;
  }
}
